Bug 395731 - (scsi1:A:0:0): scsi1: device overrun (status 10) on 0:0:0
(scsi1:A:0:0): scsi1: device overrun (status 10) on 0:0:0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 10:08 EST by Sam Varshavchik
Modified: 2008-09-20 15:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-20 15:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2007-11-22 10:08:16 EST
The following was dumped into /var/log/messages, kicking one drive out of my RAID-1.

smartctl reports no defects on this drive. This error was logged when the server
was moderately loaded with both CPU and disk I/O. Rebuilt and resynced the drive
without issues. Since this is not a disk error, perhaps these events are
recoverable without degrading RAID?

The kernel is 2.6.23.1-49.fc8, x86_64, dual CPU.

The HBA is:

03:01.0 SCSI storage controller: Adaptec ASC-29320 U320 (rev 03)
        Subsystem: Adaptec Unknown device 0042
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 72 (10000ns min, 6250ns max), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 29
        Region 0: I/O ports at 3400 [size=256]
        Region 1: Memory at fe200000 (64-bit, non-prefetchable) [disabled] [size=8K]
        Region 3: I/O ports at 3000 [size=256]
        [virtual] Expansion ROM at 88200000 [disabled] [size=512K]

The drives are Seagate Barracudas -- the good ones.


Nov 22 09:43:41 commodore kernel: (scsi1:A:0:0): scsi1: device overrun (status
10) on 0:0:0
Nov 22 09:43:41 commodore kernel: Unexpected busfree in DT Data-in phase, 1 SCBs
aborted, PRGMCNT == 0x22e
Nov 22 09:43:41 commodore kernel: >>>>>>>>>>>>>>>>>> Dump Card State Begins
<<<<<<<<<<<<<<<<<
Nov 22 09:43:41 commodore kernel: scsi1: Dumping Card State at program address
0x22c Mode 0x11
Nov 22 09:43:41 commodore kernel: Card was paused
Nov 22 09:43:41 commodore kernel: INTSTAT[0x0] SELOID[0x1] SELID[0x0]
HS_MAILBOX[0x0] 
Nov 22 09:43:41 commodore kernel: INTCTL[0x80] SEQINTSTAT[0x0] SAVED_MODE[0x11]
DFFSTAT[0x11] 
Nov 22 09:43:41 commodore kernel: SCSISIGI[0x0] SCSIPHASE[0x0] SCSIBUS[0x0]
LASTPHASE[0x60] 
Nov 22 09:43:41 commodore kernel: SCSISEQ0[0x0] SCSISEQ1[0x12] SEQCTL0[0x10]
SEQINTCTL[0x0] 
Nov 22 09:43:41 commodore kernel: SEQ_FLAGS[0x20] SEQ_FLAGS2[0x0]
QFREEZE_COUNT[0x2] 
Nov 22 09:43:41 commodore kernel: KERNEL_QFREEZE_COUNT[0x2] MK_MESSAGE_SCB[0xff00] 
Nov 22 09:43:41 commodore kernel: MK_MESSAGE_SCSIID[0xff] SSTAT0[0x0] SSTAT1[0x1] 
Nov 22 09:43:41 commodore kernel: SSTAT2[0xc0] SSTAT3[0x0] PERRDIAG[0x1]
SIMODE1[0xac] 
Nov 22 09:43:41 commodore kernel: LQISTAT0[0x0] LQISTAT1[0x0] LQISTAT2[0x0]
LQOSTAT0[0x0] 
Nov 22 09:43:41 commodore kernel: LQOSTAT1[0x0] LQOSTAT2[0x0] 
Nov 22 09:43:41 commodore kernel: 
Nov 22 09:43:41 commodore kernel: SCB Count = 8 CMDS_PENDING = 5 LASTSCB 0x6
CURRSCB 0x6 NEXTSCB 0x0
Nov 22 09:43:41 commodore kernel: qinstart = 59820 qinfifonext = 59820
Nov 22 09:43:41 commodore kernel: QINFIFO:
Nov 22 09:43:41 commodore kernel: WAITING_TID_QUEUES:
Nov 22 09:43:41 commodore kernel: Pending list:
Nov 22 09:43:41 commodore kernel:   6 FIFO_USE[0x0] SCB_CONTROL[0x64]
SCB_SCSIID[0x17] 
Nov 22 09:43:41 commodore kernel:   0 FIFO_USE[0x0] SCB_CONTROL[0x64]
SCB_SCSIID[0x17] 
Nov 22 09:43:41 commodore kernel:   4 FIFO_USE[0x0] SCB_CONTROL[0x64]
SCB_SCSIID[0x17] 
Nov 22 09:43:41 commodore kernel:   3 FIFO_USE[0x0] SCB_CONTROL[0x64]
SCB_SCSIID[0x17] 
Nov 22 09:43:41 commodore kernel: Total 4
Nov 22 09:43:41 commodore kernel: Kernel Free SCB list: 2 7 5 1 
Nov 22 09:43:41 commodore kernel: Sequencer Complete DMA-inprog list: 
Nov 22 09:43:41 commodore kernel: Sequencer Complete list: 
Nov 22 09:43:41 commodore kernel: Sequencer DMA-Up and Complete list: 
Nov 22 09:43:41 commodore kernel: Sequencer On QFreeze and Complete list: 
Nov 22 09:43:41 commodore kernel: 
Nov 22 09:43:41 commodore kernel: 
Nov 22 09:43:41 commodore kernel: scsi1: FIFO0 Free, LONGJMP == 0x80ff, SCB 0x0
Nov 22 09:43:41 commodore kernel: SEQIMODE[0x3f] SEQINTSRC[0x0] DFCNTRL[0x0]
DFSTATUS[0x89] 
Nov 22 09:43:41 commodore kernel: SG_CACHE_SHADOW[0x2] SG_STATE[0x0]
DFFSXFRCTL[0x0] 
Nov 22 09:43:41 commodore kernel: SOFFCNT[0x1a] MDFFSTAT[0x5] SHADDR = 0x00,
SHCNT = 0x0 
Nov 22 09:43:41 commodore kernel: HADDR = 0x00, HCNT = 0x0 CCSGCTL[0x0] 
Nov 22 09:43:41 commodore kernel: 
Nov 22 09:43:41 commodore kernel: scsi1: FIFO1 Active, LONGJMP == 0x8213, SCB 0x2
Nov 22 09:43:41 commodore kernel: SEQIMODE[0x3f] SEQINTSRC[0x0] DFCNTRL[0x8]
DFSTATUS[0x81] 
Nov 22 09:43:41 commodore kernel: SG_CACHE_SHADOW[0x50] SG_STATE[0x0]
DFFSXFRCTL[0x0] 
Nov 22 09:43:41 commodore kernel: SOFFCNT[0x1a] MDFFSTAT[0xc] SHADDR =
0x045d15e44, SHCNT = 0x1bc 
Nov 22 09:43:41 commodore kernel: HADDR = 0x045d15ea8, HCNT = 0x158 CCSGCTL[0x10] 
Nov 22 09:43:41 commodore kernel: LQIN: 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0
0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 
Nov 22 09:43:41 commodore kernel: scsi1: LQISTATE = 0x0, LQOSTATE = 0x0,
OPTIONMODE = 0x42
Nov 22 09:43:41 commodore kernel: scsi1: OS_SPACE_CNT = 0x20 MAXCMDCNT = 0x0
Nov 22 09:43:41 commodore kernel: scsi1: SAVED_SCSIID = 0x0 SAVED_LUN = 0x0
Nov 22 09:43:41 commodore kernel: 
Nov 22 09:43:41 commodore kernel: SIMODE0[0xc] 
Nov 22 09:43:41 commodore kernel: CCSCBCTL[0x4] 
Nov 22 09:43:41 commodore kernel: scsi1: REG0 == 0x1, SINDEX = 0x111, DINDEX = 0xa9
Nov 22 09:43:41 commodore kernel: scsi1: SCBPTR == 0x2, SCB_NEXT == 0xff40,
SCB_NEXT2 == 0x3
Nov 22 09:43:41 commodore kernel: CDB 28 0 0 80 58 68
Nov 22 09:43:41 commodore kernel: STACK: 0x0 0x0 0x0 0x0 0x0 0x0 0x36 0x22c
Nov 22 09:43:41 commodore kernel: <<<<<<<<<<<<<<<<< Dump Card State Ends
>>>>>>>>>>>>>>>>>>
Nov 22 09:43:42 commodore kernel: scsi1: SCSI offset overrun detected. 
Resetting bus.
Nov 22 09:43:42 commodore kernel: sd 1:0:0:0: [sda] Result:
hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
Nov 22 09:43:42 commodore kernel: end_request: I/O error, dev sda, sector 5364822
Nov 22 09:43:42 commodore kernel: raid1: sda2: rescheduling sector 5011392
Nov 22 09:43:42 commodore kernel: Queueing mk_msg_scb
Nov 22 09:43:42 commodore kernel: sd 1:0:0:0: [sda] Result:
hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
Nov 22 09:43:42 commodore kernel: end_request: I/O error, dev sda, sector 69577366
Nov 22 09:43:42 commodore kernel: md: super_written gets error=-5, uptodate=0
Nov 22 09:43:42 commodore kernel: raid1: Disk failure on sda2, disabling device. 
Nov 22 09:43:42 commodore kernel: #011Operation continuing on 1 devices
Nov 22 09:43:42 commodore kernel: sd 1:0:0:0: [sda] Result:
hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
Nov 22 09:43:42 commodore kernel: end_request: I/O error, dev sda, sector 16990246
Nov 22 09:43:42 commodore kernel: raid1: sda2: rescheduling sector 16636816
Nov 22 09:43:43 commodore kernel: RAID1 conf printout:
Nov 22 09:43:43 commodore kernel:  --- wd:1 rd:2
Nov 22 09:43:43 commodore kernel:  disk 0, wo:1, o:0, dev:sda2
Nov 22 09:43:43 commodore kernel:  disk 1, wo:0, o:1, dev:sdb2
Nov 22 09:43:43 commodore kernel: RAID1 conf printout:
Nov 22 09:43:43 commodore kernel:  --- wd:1 rd:2
Nov 22 09:43:43 commodore kernel:  disk 1, wo:0, o:1, dev:sdb2
Nov 22 09:43:43 commodore kernel: raid1: sdb2: redirecting sector 5011392 to
another mirror
Nov 22 09:43:43 commodore kernel: raid1: sdb2: redirecting sector 16636816 to
another mirror
Nov 22 09:46:02 commodore kernel: md: unbind<sda2>
Nov 22 09:46:02 commodore kernel: md: export_rdev(sda2)
Nov 22 09:46:06 commodore kernel: md: bind<sda2>
Nov 22 09:46:06 commodore kernel: RAID1 conf printout:
Nov 22 09:46:06 commodore kernel:  --- wd:1 rd:2
Nov 22 09:46:06 commodore kernel:  disk 0, wo:1, o:1, dev:sda2
Nov 22 09:46:06 commodore kernel:  disk 1, wo:0, o:1, dev:sdb2
Nov 22 09:46:06 commodore kernel: md: recovery of RAID array md1
Nov 22 09:46:06 commodore kernel: md: minimum _guaranteed_  speed: 1000 KB/sec/disk.
Nov 22 09:46:06 commodore kernel: md: using maximum available idle IO bandwidth
(but not more than 200000 KB/sec) for recovery.
Nov 22 09:46:06 commodore kernel: md: using 128k window, over a total of
34611968 blocks.
Nov 22 09:58:49 commodore kernel: md: md1: recovery done.
Nov 22 09:58:49 commodore kernel: RAID1 conf printout:
Nov 22 09:58:49 commodore kernel:  --- wd:2 rd:2
Nov 22 09:58:49 commodore kernel:  disk 0, wo:0, o:1, dev:sda2
Nov 22 09:58:49 commodore kernel:  disk 1, wo:0, o:1, dev:sdb2
Comment 1 Christopher Brown 2008-02-13 19:05:55 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few weeks if there is no additional information lodged.
Comment 2 David Nalley 2008-09-20 15:36:21 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.